Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.lifecycle
Class ManagedLifecycleController

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.ManagedLifecycleController

    public class ManagedLifecycleController

extends java.lang.Object

Controller class to manage the lifecycles of a set of managed instances.

Author:
  kevin

Constructor Summary
`ManagedLifecycleController(java.util.Collection<ManagedLifecycle> lifecycles)` Construct the controller to manage the specified managed lifecycle instances.

Method Summary
`void` | `restart()` Restart the lifecyles for the managed instances.
`void` | `setScheduleProvider(ScheduleProvider scheduleProvider)`
`void` | `start()` Start the lifecyles for the managed instances.
`void` | `stop()` Stop the lifecyles for the managed instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedLifecycleController

    public ManagedLifecycleController(java.util.Collection<ManagedLifecycle> lifecycles)

  Construct the controller to manage the specified managed lifecycle instances.

  Parameters:
    `lifecycles` - The managed lifecycle instances.

Method Detail

### start

    public void start()
               throws ManagedLifecycleException

  Start the lifecyles for the managed instances.

  The managed instances will be left in the destroyed state if an error occurs.

  Throws:
    `ManagedLifecycleException` - For errors during the lifecycle start.

### restart

    public void restart()
                 throws ManagedLifecycleException

  Restart the lifecyles for the managed instances.

  The managed instances will be left in the destroyed state if an error occurs.

  Throws:
    `ManagedLifecycleException` - For errors during the lifecycle restart.

### stop

    public void stop()
              throws ManagedLifecycleException

  Stop the lifecyles for the managed instances.

  The managed instances will be left in the destroyed state if an error occurs.

  Throws:
    `ManagedLifecycleException` - For errors during the lifecycle stop.

### setScheduleProvider

    public void setScheduleProvider(ScheduleProvider scheduleProvider)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD